# osg::PointSprite Class Reference

PointSprite base class which encapsulates enabling of point sprites . More...

Inheritance diagram for osg::PointSprite:

[legend]
List of all members.

## Public Member Functions

| PointSprite ()
| PointSprite (const PointSprite &texenv, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, PointSprite, POINTSPRITE)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
| Return the modes associated with this StateAttribute.
virtual bool | isTextureAttribute () const
| Return true if StateAttribute is a type which controls texturing and needs to be issued w.r.t to specific texture unit.
virtual void | apply (osg::State &state) const

## Protected Member Functions

virtual | ~PointSprite (void)

## Detailed Description

PointSprite base class which encapsulates enabling of point sprites .

## Constructor & Destructor Documentation

osg::PointSprite::PointSprite | ( |  | ) | `[inline]`

osg::PointSprite::PointSprite | ( | const PointSprite & | texenv,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::PointSprite::~PointSprite | ( | void |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void PointSprite::apply | ( | osg::State & | state | ) | const`[virtual]`

int PointSprite::compare | ( | const StateAttribute & | sa | ) | const`[virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

virtual bool osg::PointSprite::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

| Return the modes associated with this StateAttribute. Reimplemented from osg::StateAttribute.

virtual bool osg::PointSprite::isTextureAttribute | ( |  | ) | const`[inline, virtual]`

| Return true if StateAttribute is a type which controls texturing and needs to be issued w.r.t to specific texture unit. Reimplemented from osg::StateAttribute.

osg::PointSprite::META_StateAttribute | ( | osg | ,
|  | PointSprite | ,
|  | POINTSPRITE |
| ) |

The documentation for this class was generated from the following files:

- PointSprite
- PointSprite.cpp